net.sf.okapi.lib.xliff2.metadata

## Class MetaGroup

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.BaseList<IMetadataItem>
  - - net.sf.okapi.lib.xliff2.metadata.MetaGroup

- All Implemented Interfaces:
    java.lang.Iterable<IMetadataItem>, IMetadataItem, IWithMetaGroup

      public class MetaGroup
      extends BaseList<IMetadataItem>
      implements IWithMetaGroup, IMetadataItem

  Represents a group of `IMetadataItem` objects.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MetaGroup.AppliesTo` Types of object a meta-group can apply to.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaGroup()` Creates an empty `MetaGroup` object.
    `MetaGroup(MetaGroup original)` Copy constructor.
    `MetaGroup(java.lang.String category)` Creates a `MetaGroup` object with a given category parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(MetaGroup group)` Adds a `MetaGroup` object to this object.
    `MetaGroup.AppliesTo` | `getAppliesTo()`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getId()`
    `boolean` | `isGroup()` Indicates if this item is a meta-group or not.
    `void` | `setAppliesTo(MetaGroup.AppliesTo appliesTo)`
    `void` | `setCategory(java.lang.String category)`
    `void` | `setId(java.lang.String id)`

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.core.BaseList

      `add, clear, get, isEmpty, iterator, remove, remove, set, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaGroup

          public MetaGroup()

      Creates an empty `MetaGroup` object.

    - #### MetaGroup

          public MetaGroup(java.lang.String category)

      Creates a `MetaGroup` object with a given category parameter.
      Parameters:
        `category` - the category for this meta-group.

    - #### MetaGroup

          public MetaGroup(MetaGroup original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

  - ### Method Detail

    - #### isGroup

          public boolean isGroup()

      Description copied from interface: `IMetadataItem`
      Indicates if this item is a meta-group or not.
      Specified by:
        `isGroup` in interface `IMetadataItem`
      Returns:
        true if this is a meta-group object, false if it is a meta object.

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getCategory

          public java.lang.String getCategory()

    - #### setCategory

          public void setCategory(java.lang.String category)

    - #### getAppliesTo

          public MetaGroup.AppliesTo getAppliesTo()

    - #### setAppliesTo

          public void setAppliesTo(MetaGroup.AppliesTo appliesTo)

    - #### addGroup

          public void addGroup(MetaGroup group)

      Description copied from interface: `IWithMetaGroup`
      Adds a `MetaGroup` object to this object.
      Specified by:
        `addGroup` in interface `IWithMetaGroup`
      Parameters:
        `group` - the meta-group to add.